Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041236
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-02 15:502019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionecc81d50e76f
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041236: RecordID2Filling.getBPAccountList is not using bind-params

DescriptionThis code is not using bind-params:

      hqlString.append("select distinct ca.customerReceivablesNo, ca.customerPrepayment");
      hqlString.append(" from CustomerAccounts as ca");
      hqlString.append(" where ca.accountingSchema.id = '" + acctSchemaId + "'");
    } else {
      hqlString.append("select distinct va.vendorPrepayment, va.vendorLiability");// va.vendorServiceLiability,
      hqlString.append(" from VendorAccounts as va");
      hqlString.append(" where va.accountingSchema.id = '" + acctSchemaId + "'");

When fixing please apply new HQL-style to all 12 HQL's in this file.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041403 closedcollazoandy4 Apply HQL style guide to RecordID2Filling 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113555)
collazoandy4 (developer)
2019-07-21 08:11

Test Plan
  Go to Process Request and create a new record:
    Process: Open Balances: Review historical data
    Timming: Run Immediately
    Click on Reeschedule Process button and check the process ends without error
(0113861)
hgbot (developer)
2019-08-07 09:52

Repository: erp/devel/pi
Changeset: ecc81d50e76fec395fce844b681bfc77d503ade3
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Jul 19 14:52:39 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/ecc81d50e76fec395fce844b681bfc77d503ade3 [^]

Fixes issue 41236: RecordID2Filling.getBPAccountList is not using bind-params

Added bind-params to getBPAccountList

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/RecordID2Filling.java
---
(0113862)
Sandrahuguet (developer)
2019-08-07 09:52

code review + testing ok
(0114211)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 15:50 shuehner New Issue
2019-07-02 15:50 shuehner Assigned To => Triage Finance
2019-07-02 15:50 shuehner Modules => Core
2019-07-02 15:50 shuehner Triggers an Emergency Pack => No
2019-07-02 15:51 shuehner Relationship added blocks 0038136
2019-07-04 12:15 shuehner Target Version => 3.0PR19Q4
2019-07-19 02:00 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-19 02:01 collazoandy4 Status new => scheduled
2019-07-21 08:11 collazoandy4 Note Added: 0113555
2019-08-07 09:29 Sandrahuguet Relationship added related to 0041403
2019-08-07 09:52 hgbot Checkin
2019-08-07 09:52 hgbot Note Added: 0113861
2019-08-07 09:52 hgbot Status scheduled => resolved
2019-08-07 09:52 hgbot Resolution open => fixed
2019-08-07 09:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ecc81d50e76fec395fce844b681bfc77d503ade3 [^]
2019-08-07 09:52 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-07 09:52 Sandrahuguet Note Added: 0113862
2019-08-07 09:52 Sandrahuguet Status resolved => closed
2019-08-07 09:52 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114211


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker